tool = {}
	tool.current = "changeTile"

--Updater, Changes the Current Tool
--Also handling some file management stuff for now.
function tool.update()
	if input.keyDown == "d" then
		tool.current = "changeTile"
	elseif input.keyDown == "h" then
		tool.current = "changeHeight"
	elseif input.keyDown == "r" then
		--reload overlays, temp use for debug
		print(map.file)
	end
	--File Management stuff.
	--Will Move.
	if love.keyboard.isDown("lctrl") == true or
		love.keyboard.isDown("rctrl") == true then
			if input.keyDown == "s" then
				filer.save()
			elseif input.keyDown == "n" then
				filer.new()
			elseif input.keyDown == "l" then
				filer.load()
			end
	end
end

--Changes Grass Tile to Dirt Tile
function tool.changeTile()
	if input.mouseDown == "l" then
	local x,y = coord.Iso2Grid(input.mouseX,input.mouseY)
		if map[y] == nil then
			map[y] = {}
		end
		if map[y][x] == nil then
			map[y][x] = {}
		end
		map[y][x].tile = 2
		map[y][x].height = 0
	end
end

function tool.changeHeight()
	if input.mouseDown == "l" then
		local x,y = coord.Iso2Grid(input.mouseX,input.mouseY)
		if map[y] ~= nil then
			if map[x] ~= nil then
				local hDiff = 0
				hDiff = hDiff+input.mouseDY
				if hDiff < 0 then	
					map[y][x].height = math.ceil(map[y][x].height - hDiff)
				elseif hDiff > 0 then
					map[y][x].height = math.floor(map[y][x].height - hDiff)
				end
			end
		end
	end
end
